com.google.gwt.user.client.ui

## Class DecoratedStackPanel

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Panel
      - - com.google.gwt.user.client.ui.ComplexPanel
        - - com.google.gwt.user.client.ui.StackPanel
          - - com.google.gwt.user.client.ui.DecoratedStackPanel

- All Implemented Interfaces:
    HasAttachHandlers, HasHandlers, EventListener, HasVisibility, HasWidgets, HasWidgets.ForIsWidget, IndexedPanel, IndexedPanel.ForIsWidget, InsertPanel, InsertPanel.ForIsWidget, IsWidget, java.lang.Iterable<Widget>

      public class DecoratedStackPanel
      extends StackPanel

  A `StackPanel` that wraps each item in a 2x3 grid (six box), which allows users to add rounded corners.

  This widget will only work in quirks mode. If your application is in Standards Mode, use `StackLayoutPanel` instead.

  ### CSS Style Rules

  - .gwt-DecoratedStackPanel { the panel itself }
  - .gwt-DecoratedStackPanel .gwt-StackPanelItem { unselected items }
  - .gwt-DecoratedStackPanel .gwt-StackPanelItem-selected { selected items }
  - .gwt-DecoratedStackPanel .gwt-StackPanelContent { the wrapper around the contents of the item }
  - .gwt-DecoratedStackPanel .stackItemTopLeft { top left corner of the item}
  - .gwt-DecoratedStackPanel .stackItemTopLeftInner { the inner element of the cell}
  - .gwt-DecoratedStackPanel .stackItemTopCenter { top center of the item}
  - .gwt-DecoratedStackPanel .stackItemTopCenterInner { the inner element of the cell}
  - .gwt-DecoratedStackPanel .stackItemTopRight { top right corner of the item}
  - .gwt-DecoratedStackPanel .stackItemTopRightInner { the inner element of the cell}
  - .gwt-DecoratedStackPanel .stackItemMiddleLeft { left side of the item }
  - .gwt-DecoratedStackPanel .stackItemMiddleLeftInner { the inner element of the cell}
  - .gwt-DecoratedStackPanel .stackItemMiddleCenter { center of the item, where the item text resides }
  - .gwt-DecoratedStackPanel .stackItemMiddleCenterInner { the inner element of the cell}
  - .gwt-DecoratedStackPanel .stackItemMiddleRight { right side of the item }
  - .gwt-DecoratedStackPanel .stackItemMiddleRightInner { the inner element of the cell}
  See Also:
    `StackLayoutPanel`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.InsertPanel

      `InsertPanel.ForIsWidget`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

      `HasWidgets.ForIsWidget`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_STYLENAME`

    - ### Fields inherited from class com.google.gwt.user.client.ui.Widget

      `eventsToSink`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecoratedStackPanel()` Creates an empty decorated stack panel.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) Element` | `createHeaderElem()` Returns a header element.
    `(package private) Element` | `getHeaderTextElem(Element headerElem)` Get the element that holds the header text given the header element created by #createHeaderElement.

    - ### Methods inherited from class com.google.gwt.user.client.ui.StackPanel

      `add, add, add, add, addHeaderStyleName, getSelectedIndex, insert, insert, onBrowserEvent, onEnsureDebugId, remove, remove, removeHeaderStyleName, setStackText, setStackText, setStackText, showStack`

    - ### Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel

      `add, add, adjustIndex, checkIndexBoundsForAccess, checkIndexBoundsForInsertion, doLogicalClear, getChildren, getWidget, getWidgetCount, getWidgetIndex, getWidgetIndex, insert, insert, iterator`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Panel

      `add, adopt, clear, doAttachChildren, doDetachChildren, orphan, remove`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onDetach, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.InsertPanel.ForIsWidget

      `add`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.IndexedPanel.ForIsWidget

      `getWidgetIndex`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.IndexedPanel

      `getWidget, getWidgetCount, getWidgetIndex`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### DEFAULT_STYLENAME

          public static final java.lang.String DEFAULT_STYLENAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DecoratedStackPanel

          public DecoratedStackPanel()

      Creates an empty decorated stack panel.

  - ### Method Detail

    - #### createHeaderElem

          Element createHeaderElem()

      Description copied from class: `StackPanel`
      Returns a header element.
      Overrides:
        `createHeaderElem` in class `StackPanel`

    - #### getHeaderTextElem

          Element getHeaderTextElem(Element headerElem)

      Description copied from class: `StackPanel`
      Get the element that holds the header text given the header element created by #createHeaderElement.
      Overrides:
        `getHeaderTextElem` in class `StackPanel`
      Parameters:
        `headerElem` - the header element
      Returns:
        the element around the header text